Package com.tietoenator.trip.jxp.database

# Class TdbThesaurusDesign

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSerializableObject
com.tietoenator.trip.jxp.database.TdbDatabaseDesign
com.tietoenator.trip.jxp.database.TdbThesaurusDesign

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `TdbControlObjectProvider`

public class TdbThesaurusDesign extends TdbDatabaseDesign
Container and manipulation logic for a thesaurus design.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbThesaurusDesign(TdbSession session)`
  Constructor, creates a new, blank container
  `TdbThesaurusDesign(TdbSession session, TdbControlObject ob)`
  Constructor, creates a container for the thesaurus referenced by the provided Control object

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.database.TdbDatabaseDesign

  `addField, addForeignKey, bafNeedsDefrag, bifNeedsDefrag, changeMgr, changeMgr, changeMgr, compress, copy, databaseNeedsDefrag, deepCopy, delete, delete, deleteForeignKey, deleteForeignKeys, diagnose, diagnose, export, export, export, fields, get, get, get, getApplicationId, getAsePostCommit, getAsePostSubmit, getAsePreCommit, getAsePreSubmit, getBafFile, getBifFile, getCharacterSet, getChineseSegmentation, getClassificationScheme, getDefaultEntryForm, getDefaultOutputFormat, getDescription, getEntryForms, getFieldById, getFieldByIndex, getFieldByName, getFieldCount, getFieldGroupById, getFieldGroupByIndex, getFieldGroupByName, getFieldGroupCount, getFieldGroups, getFoldingClass, getIndexingRules, getLanguage, getLastIndex, getLastUpdate, getLogFile, getName, getOutputFormats, getOwnerName, getPartNameField, getRecordCount, getRecordNameField, getRecordNumberField, getSubmitKeepLogfile, getSubmitNotifyOnCompletion, getSubmitOptions, getSubmitPrintLogfile, getSubmitQueue, getUsesAudit, getUsesAutoReorg, getUsesLogDeletes, getVifFile, getWordChars, hasPartNameField, hasRecordNameField, hasRecordNumberField, importDesign, importUpdate, importUpdate, index, index, integrityRules, isConnectorDatabase, isGraph, isOwner, isXmlEnabled, load, loadAndIndex, loadAndReindex, put, put, putField, putFieldGroup, putFieldGroups, putFields, putProperties, putProperties, reindex, removeField, removeFieldGroup, rename, setApplicationId, setAsePostCommit, setAsePostSubmit, setAsePreCommit, setAsePreSubmit, setBafFile, setBifFile, setCharacterSet, setChineseSegmentation, setClassificationScheme, setConnectorDatabase, setDefaultEntryForm, setDefaultOutputFormat, setDescription, setFieldGroups, setFields, setFoldingClass, setGraph, setIndexingRules, setIntegrityRules, setLanguage, setLogFile, setName, setPartNameField, setRecordNameField, setRecordNumberField, setSubmitKeepLogfile, setSubmitNotifyOnCompletion, setSubmitOptions, setSubmitPrintLogfile, setSubmitQueue, setUsesAudit, setUsesAutoReorg, setUsesLogDeletes, setVifFile, setWordChars, setXmlEnabled, status, status, submitBatchJob, validateField, validateRestriction, vifNeedsDefrag`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSerializableObject

  `getControlObject`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbThesaurusDesign

    public TdbThesaurusDesign(TdbSession session, TdbControlObject ob) throws TdbException
    Constructor, creates a container for the thesaurus referenced by the provided Control object
    Parameters:
      `session` - Active session
      `ob` - Control object referencing the thesaurus required
    Throws:
      `TdbException`

  - ### TdbThesaurusDesign

    public TdbThesaurusDesign(TdbSession session) throws TdbException
    Constructor, creates a new, blank container
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`